> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok 視頻混音

> 編輯和修改已生成的 Grok 視頻

> [!NOTE]
>
> **中國大陸用戶請注意：** 中國大陸用戶請使用 `https://toapis.cn` 作為接口地址（Base URL）。文檔示例中的 `https://toapis.com` 請替換為 `https://toapis.cn`。

* Grok 視頻混音功能
* 基於現有視頻進行二次創作
* 異步任務管理，通過任務 ID 查詢結果

## Path Parameters

**video\_id** `string` *required*

原始視頻任務 ID

這是之前視頻生成請求返回的任務 ID

## Authorizations

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 進行認證

獲取 API Key：訪問 [API Key 管理頁面](https://toapis.com/console/token) 獲取您的 API Key

使用時在請求頭中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## Body

**model** `string` *required* (default: grok-video-1.0)

視頻混音模型名稱

示例：`"grok-video-1.0"`

**prompt** `string` *required*

混音指令描述

**size** `string`

視頻尺寸

**aspect\_ratio** `string`

視頻寬高比

支持的格式：

* `16:9` - 橫屏
* `9:16` - 豎屏

## Response

**id** `string`

任務唯一標識符，用於查詢任務狀態

**object** `string`

對象類型，固定爲 `generation.task`

**model** `string`

使用的模型名稱

**status** `string`

任務狀態

* `queued` - 排隊等待處理
* `in_progress` - 處理中
* `completed` - 成功完成
* `failed` - 失敗

**progress** `integer`

任務進度百分比（0-100）

**created\_at** `integer`

任務創建時間戳（Unix 時間戳）

**metadata** `object`

任務元數據

```bash cURL theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/video_abc123def456/remix \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "grok-video-1.0",
    "prompt": "在場景中添加一隻小狗",
    "aspect_ratio": "16:9"
  }'
```

```python Python theme={null}
import requests

video_id = "video_abc123def456"

response = requests.post(
    f"https://toapis.com/v1/videos/{video_id}/remix",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "grok-video-1.0",
        "prompt": "在場景中添加一隻小狗",
        "aspect_ratio": "16:9"
    }
)

task = response.json()
print(f"任務 ID: {task['id']}")
print(f"狀態: {task['status']}")
```

```javascript JavaScript theme={null}
const videoId = 'video_abc123def456';

const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'grok-video-1.0',
    prompt: '在場景中添加一隻小狗',
    aspect_ratio: '16:9'
  })
});

const task = await response.json();
console.log(`任務 ID: ${task.id}`);
console.log(`狀態: ${task.status}`);
```

```json 200 theme={null}
{
  "id": "video_remix_abc123",
  "object": "generation.task",
  "model": "grok-video-1.0",
  "status": "queued",
  "progress": 0,
  "created_at": 1768380224,
  "metadata": {}
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.